# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/gacutil
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define pkgname ndesk-dbus-1.0

Summary: Managed D-Bus implementation
Name: ndesk-dbus
Version: 0.6.1a
Release: alt1_14
Source0: http://www.ndesk.org/archive/dbus-sharp/%{name}-%{version}.tar.gz
License: MIT
Group: System/Libraries
Url: http://www.ndesk.org/DBusSharp
BuildRequires: pkgconfig(mono)
BuildArch: noarch
Source44: import.info

%description
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus).

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%package devel
Summary: Development files for %name
Group: Development/Other
Requires: %name = %version-%release

%description devel
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus).

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%prep
%setup -q

sed -i "s#gmcs#mcs#g" configure
sed -i "s#gmcs#mcs#g" configure.ac

%build
# to recognize aarch64
autoreconf -vfi

./configure --prefix=%_prefix
%make_build

%install
%makeinstall_std pkgconfigdir=%_datadir/pkgconfig

%files
%doc README COPYING
%_prefix/lib/mono/%pkgname
%_prefix/lib/mono/gac/NDesk.DBus/

%files devel
%doc examples
%_datadir/pkgconfig/%pkgname.pc




%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.6.1a-alt1_14
- update by mgaimport

* Thu Mar 22 2018 Igor Vlasenko <viy@altlinux.ru> 0.6.1a-alt1_12
- new version

* Wed Jul 08 2009 Alexey Shabalin <shaba@altlinux.ru> 0.6.0-alt6
- move pkgconfig files from main to devel package

* Mon Feb 16 2009 Alexey Shabalin <shaba@altlinux.ru> 0.6.0-alt5
- change packager
- add mono-devel to BuildRequires

* Sun Jul 27 2008 Igor Zubkov <icesik@altlinux.org> 0.6.0-alt4
- don't use obsolete macros

* Sat Dec 29 2007 Alexey Shabalin <shaba@altlinux.ru> 0.6.0-alt3
- change %%_libdir to %%_monodir and %%_monogacdir
- add patch for changing $(libdir) to $(prefix)/lib (mono policy)

* Sat Dec 22 2007 Igor Zubkov <icesik@altlinux.org> 0.6.0-alt2
- remove BuildArch: noarch from spec file

* Thu Dec 20 2007 Igor Zubkov <icesik@altlinux.org> 0.6.0-alt1
- 0.5.2 -> 0.6.0

* Sun Dec 16 2007 Igor Zubkov <icesik@altlinux.org> 0.5.2-alt1
- build for Sisyphus

* Thu Jun 21 2007 maw@suse.de
- Don't build as root.
* Tue Apr 10 2007 cgaisford@novell.com
- Updated to 0.5.2
- Removed previous patch as it was integrated upstream
* Tue Feb 27 2007 andreas.hanke@gmx-topmail.de
- Initial package, version 0.4.1
